man2html (1.6g-9+dilos2) unstable; urgency=medium

  * Build for DilOS

 -- DilOS Team <dilos@dilos.org>  Thu, 05 Aug 2021 14:33:11 +0300

man2html (1.6g-9) unstable; urgency=medium

  * Add 036-fix-tbl-font-parsing.patch not to ignore the tbl header end
    while parsing tbl font specifiers what caused man2html to hang on
    printf(1posix) man page (LP: #1666067)
  * man2html.cgi.c: fix a small typo found by lintian.
  * debian/copyright:
    + add Vcs-Git and Vcs-Browser fields;
    + bump Standards-Version to 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 19 Apr 2017 22:54:48 +0200

man2html (1.6g-8) unstable; urgency=medium

  * Add 035-source-date-epoch.patch to produce reproducible timestamps in
    documentation (closes: #796130).
  * Use `which index++' instead of checking the full /usr/bin/index++
    path to fix lintian's `command-with-path-in-maintainer-script'.
  * postinst: Drop old code for /u/s/d/man2html dir to symlink conversion.
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 26 Oct 2015 00:58:01 +0100

man2html (1.6g-7) unstable; urgency=low

  * utils.c: Fix querystring2argv() to create argv in case man2html and
    manwhatis scripts are run on http server (like lighttpd) that fails
    to do it by its own (closes: #729549, #630530, LP: #389582).
  * man2html.cron.weekly: set proper permissions for generated index
    file (closes: #729548).
  * manwhatis.c: Fix format string warnings (closes: #672821).
  * Refresh debian/patches with `gpb pq import; gbp pq export'.
  * Add 034-UTF8-charset.patch: set charset in `Content-type' header
    to UTF-8 (LP: #873102).
  * mansearch, utils.h: set `Content-type' charset to UTF-8 as well.
  * Switch build system to debhelper v9 and its tiny rules file:
    + make sure debian default CFLAGS, CPPFLAGS, and LDFLAGS are
      properly handled;
    + add support for cross-compiling;
    + ensure parallel builds work (closes: #653424);
    + enable LFS support (lintian).
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Nov 2013 23:57:03 +0100

man2html (1.6g-6) unstable; urgency=high

  * man2html.cgi.c: Validate user input and make some error messages less
    verbose to prevent XSS attacks (CVE-2011-2770).

 -- Robert Luberda <robert@debian.org>  Wed, 02 Nov 2011 20:45:18 +0100

man2html (1.6g-5) unstable; urgency=low

  * man2html.postinst: Convert the /u/s/d/man2html directory into a symlink
    pointing to man2html-base (closes: #616594).
  * man2html.doc-base: Register html files from man2html-base, not man2html.
  * man2html.cgi.c: Check result of pipe() call.

 -- Robert Luberda <robert@debian.org>  Sun, 06 Mar 2011 18:55:48 +0100

man2html (1.6g-4) unstable; urgency=low

  * Depends/Suggests lynx-cur instead of lynx transitional package
    (closes: #613129).
  * Add a debian/NEWS file for the recent package split. Include a dummy
    entry there to work-around apt-listchanges bug #590541.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Feb 2011 16:44:22 +0100

man2html (1.6g-3) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    + use dpkg-buildflags for setting CFLAGS;
    + add build-arch and build-indep targets.

 -- Robert Luberda <robert@debian.org>  Mon, 07 Feb 2011 21:22:57 +0100

man2html (1.6g-2) experimental; urgency=low

  * Split the binary package into two (closes: #285403, LP: #584825):
    + man2html-base with a command-line man to HTML converter only;
    + man2html containing the CGI interface.
  * Remove any dependencies on web-server stuff from the man2html-base
    package, and make man2html package to depend on httpd instead of
    recommending it (closes: #504486).

 -- Robert Luberda <robert@debian.org>  Sun, 09 Jan 2011 21:33:07 +0100

man2html (1.6g-1) experimental; urgency=low

  * New upstream release.
  * Get the searched/indexed man directories from system manpath file
    (LP: #246816):
    + cron.weekly: use `manpath -g' to find out the system man directories;
    + man2html.cgi.c: take MANDB_MAP entries into account while parsing
      manpath.config;
    + postinst: call the weekly job to perform initial indexing of man pages;
    + avoid duplicated/symlinked directories in both the weekly script and
      the cgi program.
  * manwhatis.c: add the `-g' option to manpath call.
  * 010-aux-debian.patch (updated): correct paths in example.
  * 033-gcc-warnings.patch (new): fix some gcc warnings.
  * Reformat Debian-specific sources with the `astyle -A1 -SKs4' command.
  * Standards-Version: 3.9.1 (no changes).
  * Bump debhelper compat mode to 8.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Jan 2011 18:00:10 +0100

man2html (1.6f+repack-1) unstable; urgency=low

  * Remove misleading message from postinst (closes: #582115).
  * Standards-Version: 3.8.4
  * Add short descriptions for all patches (lintian).

  * Switch to the 3.0 (quilt) source format:
    + no longer use dbs (closes: #576055);
    + rebuild the original source tarball;
    + remove Readme.source file.
  * Bump debhelper to v7.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Jun 2010 14:58:08 +0200

man2html (1.6f-3) unstable; urgency=low

  * 031-man2html-BR-empty-line.patch: new patch to ignore font change
    requests that are note followed by any words (closes: #489181).
  * 032-man2html-man-remove-LO-lines: remove `.LO 1' (lintian).
  * Rename debian/README.build to debian/README.source.
  * Standards-Version: 3.8.0.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Sep 2008 11:08:44 +0200

man2html (1.6f-2) unstable; urgency=low

  * Change doc-base section to Help.
  * Build with debhelper v6.
  * Remove override file for linda.
  * Add copyright notice (lintian).

 -- Robert Luberda <robert@debian.org>  Tue, 15 Apr 2008 22:52:58 +0200

man2html (1.6f-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3 (no changes).
  * 030-man2html-man-hyphens.patch: fix lintian's `hyphen-used-as-minus-sign'.
  * Move url from Description: to the Homepage field.
  * Recommends: apache2 instead of apache, which is no longer available.
  * cron.weekly: use ionice to lower I/O priority.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Jan 2008 11:17:10 +0100

man2html (1.6e-3) unstable; urgency=low

  * Fix package description (closes: #427901).
  * Remove unnecessary redirection to /dev/null in debian/prerm.

 -- Robert Luberda <robert@debian.org>  Sun, 01 Jul 2007 11:30:33 +0200

man2html (1.6e-2) unstable; urgency=low

  * Upload to unstable.
  * Problem with parsing tables has been fixed by upstream (closes: #385158).
  * 023-man2html-double-quotes (new): properly decode double quotes inside the
    quoted text (closes: #406098).
  * 024-man2html-uncompress (new):
     + add support for uncompressing gzipped man pages;
     + if the requested page does not exist, try to serve gzipped one
       instead (closes: #418771).
  * 025-man2html-macro-all-args (new): handle \$* and \$@ escapes.
  * 026-man2html-macro-longname (new): support macro names longer than two
    chars (closes: #408232).
  * 027-man2html-macro-priority (new): parse user-defined macros before the
    global ones (closes: #5587).
  * 028-man2html-segfault (new): fix segfault when viewing groff(7) page.
  * 029-man2html-new-macros (new): handle \[xx] escapes and add a few commonly
    used char/string definitions.
  * 017-man2html.seealso (updated): fix comments in man2html(1) page.

 -- Robert Luberda <robert@debian.org>  Thu, 26 Apr 2007 10:01:11 +0200

man2html (1.6e-1) experimental; urgency=low

  * New upstream version.
  * debian/rules: recode the new Italian man pages from dos to unix file
    format.
  * 022-man2html-it-manpage.patch: fix syntax error in the Italian man2html(1)
    page.

 -- Robert Luberda <robert@debian.org>  Thu,  1 Feb 2007 22:38:24 +0100

man2html (1.6c-6) unstable; urgency=low

  * Initial Galician translation of debconf templates (closes: #412522).

 -- Robert Luberda <robert@debian.org>  Mon, 26 Feb 2007 21:49:29 +0100

man2html (1.6c-5) unstable; urgency=low

  * Russian translation of debconf templates (closes: #406868).

 -- Robert Luberda <robert@debian.org>  Wed, 31 Jan 2007 00:18:22 +0100

man2html (1.6c-4) unstable; urgency=low

  * swish++.conf: Add `WordThreshold 50000' and `StoreWordPositions no'
    to make index++ consume less memory and disk space (closes: #327767).
  * Standards-Version: 3.7.2 (no changes needed).

 -- Robert Luberda <robert@debian.org>  Sun,  7 Jan 2007 00:39:25 +0100

man2html (1.6c-3) unstable; urgency=low

  * Initial Italian translation of man2html debconf messages (closes: #358161).
  * Recode the French man page into ISO-8859-1 (closes: #363383).
  * 021-man2html-perl-modules: Add support for Perl modules (closes: #363384)
    Thanks to Nicolas François for the patch.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 18:16:02 +0200

man2html (1.6c-2) unstable; urgency=low

  * manwhatis.c: When checking if the manwhatis cache file need to be
    refreshed check timestamps of all the possible index files man-db
    could use for its database. Also force refresh if none such a file
    could be found (closes: #357471).

 -- Robert Luberda <robert@debian.org>  Sat, 18 Mar 2006 16:57:03 +0100

man2html (1.6c-1) unstable; urgency=low

  * New upstream version.
  * 018-man2html-quotes: add support for \(lq and \(rq escape sequences
    (closes: #338339).
    Thanks to Nils Rennebarth <Nils.Rennebarth#web.de> for the patch.
  * 019-man2html-noindex-segfault: fix segfault on man pages with no
    sections (see bug #349907).
  * 020-man2html-escape_N: add support for \N'n' groff sequences
    (closes: #348553).
  * Add Portuguese translation of man2html debconf messages (closes: #336933).
  * Removed 016-man2html.formstring, applied upstream.
  * debian/rules: Include translated man pages in the binary package.
  * debian/control: bump build-dependency on debhelper as we make use of
    `dh_installman --language'
  * debian/copyright: recode into UTF-8, minor update.

 -- Robert Luberda <robert@debian.org>  Thu,  9 Feb 2006 19:54:35 +0100

man2html (1.6-3) unstable; urgency=low

  * Initial Swedish translation of man2html debconf messages (closes: #331555).
  * Minor correction in mansearch output.
  * Add linda overrides file for 'non-standard-dir-perm' warning.

 -- Robert Luberda <robert@debian.org>  Wed, 19 Oct 2005 22:59:17 +0200

man2html (1.6-2) unstable; urgency=low

  * Initial Czech translation of man2html debconf messages (closes: #319622).
  * debian/sources/mansearch:
    + change layout of the full search results page
    + display all of the returned results, split into separate pages
    + remove useless `Location' tags
    + fix man pages descriptions (closes: #321258).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Aug 2005 12:35:32 +0200

man2html (1.6-1) unstable; urgency=low

  * New upstream version from new upstream maintainer.
  * Updated debian/copyright and debian/watch.
  * Standards-Version: 3.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 16 Jul 2005 21:29:48 +0200

man2html (1.5p-4) unstable; urgency=low

  * Recommend httpd-cgi instead of httpd (closes: #43271).
  * Fix typo in German translation of debconf templates (closes: #313793).
  * Updated Vietnamese translation of templates (closes: #312748).
  * Update debhelper build-dependency to have menu file moved to /usr/share.

 -- Robert Luberda <robert@debian.org>  Thu, 16 Jun 2005 23:24:57 +0200

man2html (1.5p-3) unstable; urgency=low

  * Add Vietnamese translation of debconf templates (closes: #309062).
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * debian/menu: specify full path of hman to make linda happy.

 -- Robert Luberda <robert@debian.org>  Sat, 14 May 2005 13:42:01 +0200

man2html (1.5p-2) unstable; urgency=low

  * man2html.cgi.c: '\0' (null character) was printed on the
    'Index of man pages' page.

 -- Robert Luberda <robert@debian.org>  Fri,  4 Mar 2005 00:27:12 +0100

man2html (1.5p-1) unstable; urgency=medium

  * New upstream version.
  * 016-man2html.formstring: fix format string problem (closes: #291635).
  * 017-man2html.seealso: add SEE ALSO hman to man2html man page
    (closes: #285401).
  * debian/control: make the first letter of synopsis lowercase (lintian).

 -- Robert Luberda <robert@debian.org>  Fri, 28 Jan 2005 18:43:46 +0100

man2html (1.5n-2) unstable; urgency=low

  * mansearch: encode returned URLs.

 -- Robert Luberda <robert@debian.org>  Sun,  8 Aug 2004 18:50:23 +0200

man2html (1.5n-1) unstable; urgency=low

  * New upstream version:
    + man2html: handle .so with trailing whitespace
  * 015-hman-urlencode.patch: new patch, properly encode URLs given to
    browsers, so `hman index++' should work now (closes: #258027).
  * 001-hman-bashism.patch: updated, use && and || instead of less
    portable -a and -o.
  * debian/cron.weekly: use temporary file to create new index.
  * Recommends apache | httpd | lynx (lintian).
  * Add debian/watch file.

 -- Robert Luberda <robert@debian.org>  Wed, 28 Jul 2004 08:36:12 +0200

man2html (1.5k-10) unstable; urgency=low

  * debian/sources/man2html.cgi.c: print the Last-modified header.
    Thanks to Daniel Poelzleithner <debian.bugs@poelzi.org> for the patch
    (closes: #240119).

 -- Robert Luberda <robert@debian.org>  Sat, 27 Mar 2004 21:46:13 +0100

man2html (1.5k-9) unstable; urgency=low

  * Add Catalan translation of debconf templates (closes: #236665).
    Thanks to Aleix Badia i Bosch <abadia@ica.es>.
  * Run debconf-updatepo.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Mar 2004 21:39:30 +0100

man2html (1.5k-8) unstable; urgency=low

  * Added Japanese translation of debconf templates (closes: #227815).
    Thanks to Hideki Yamane <henrich@samba.gr.jp>.
  * 003-hman-browser.patch: modified, minor change.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Jan 2004 10:59:03 +0100

man2html (1.5k-7) unstable; urgency=low

  * Added Dutch translation of debconf templates (closes: #209094).
    Thanks to Tim Vandermeersch <Tim.Vandermeersch@pandora.be>.

 -- Robert Luberda <robert@debian.org>  Wed, 10 Sep 2003 20:40:36 +0200

man2html (1.5k-6) unstable; urgency=low

  * Fixed typo in package description (closes: #206516).
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed,  3 Sep 2003 21:14:32 +0200

man2html (1.5k-5) unstable; urgency=low

  * Added Spanish translation of debconf templates (closes: #201894).
    Thanks to Carlos Alberto Martín Edo <carlos@dat.etsit.upm.es>.
  * Standards-Version: 3.6.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 25 Jul 2003 18:37:04 +0200

man2html (1.5k-4) unstable; urgency=low

  * Add Danish translation of debconf templates from DDTP.
  * Re-add menu file and debianutils dependency.
  * prerm: remove our cache data when package gets removed.

 -- Robert Luberda <robert@debian.org>  Thu, 15 May 2003 09:07:27 +0200

man2html (1.5k-3) unstable; urgency=low

  * manwhatis.c: correct url to `Section index'.
  * Add German translation of debconf templates from DDTP.
  * Temporarily remove menu file and debianutils dependency, so
    we can go to testing faster.

 -- Robert Luberda <robert@debian.org>  Sun, 30 Mar 2003 22:19:13 +0200

man2html (1.5k-2) unstable; urgency=low

  * Fix spelling: change `manpage' to `man page' everywhere.
  * Added 004-spelling.patch: s/manpage/man page/.
  * Fix missing comma typo in manwhatis.c.
  * Stanards-Version: 3.5.9.
  * Removed po-debconf build-dependency, debhelper depends on it.

 -- Robert Luberda <robert@debian.org>  Sat, 22 Mar 2003 16:16:23 +0100

man2html (1.5k-1) unstable; urgency=low

  * Upload 1.5k to unstable.
    To summarise the most important changes between this version and current
    unstable version, let's quote an 1.5exp+1.5k-1 changelog entry:

      * New upstream version taken from man-1.5k package:
        + WARNING: CGI scripts are moved to cgi-bin/man.
        + NEW: /usr/bin/man2html can be used as a standalone program.
        + NEW: hman script replaces old netscape-man script.
        + NEW: lynxcgi support added.

  * Removed five years old preinst file.
  * man2html.cgi.c: removed some unused (commented) code.
  * Fix typos in README.Debian and some other files,
    e.g. change `manpage' to `man page' as suggested by ispell.
  * debian/postinst: remove old cache files on upgrade.
  * Recode this changelog to UTF-8.

 -- Robert Luberda <robert@debian.org>  Tue, 25 Feb 2003 22:39:18 +0100

man2html (1.5exp+1.5k-4) experimental; urgency=low

  * Added French translation of debconf templates. Thanks to
    Pierre Machard <pmachard@tuxfamily.org> (closes: #180231).
  * 012-man2html-TH.patch: accept troff macros in .TH line (closes: #180335).

  * manwhatis.c: made some changes for better lynxcgi support:
    + set default umask.
    + use snprintf and strncpy rather than sprintf and strcpy.
    + make it work even if cache file can't be created.
    + if program is installed with suid/sgid bit set (non-default), we'll use
      this additional privileges only for accessing cache file.

 -- Robert Luberda <robert@debian.org>  Sun, 16 Feb 2003 22:09:25 +0100

man2html (1.5exp+1.5k-3) experimental; urgency=low

  * Added a menu file, in which we calls `hman -P sensible-browser'.
  * Increased dependency on debianutils (because of sensible-browser).
  * 003-hman-browser.patch: (new file) rename BROWSER variable to HMAN_BROWSER
    in the hman.sh script to avoid conflict with sensible-browser's BROWSER.
  * 014-hman-sensible-browser.patch: (new file) use sensible-browser if lynx
    can't be found.

  * debian/templates, debian/po/*: fix typo: `backround' -> `background'.
  * debian/control:
    + Recommends: httpd | lynx
    + Suggests: added lynx | www-browser
  * mansearch: remove `http://$SERVER_NAME/' from generated URLs.

  * More bugs, that I checked lately:
    + #25068: manwhatis and mansec give invalid output. (closes: #25068).
    + #28207: Internal Server Error with apache-ssl.
      I tested with apache-ssl 1.3.27+1.48-0.1 and it works OK
      (closes: #28207).

 -- Robert Luberda <robert@debian.org>  Sat,  8 Feb 2003 08:54:10 +0100

man2html (1.5exp+1.5k-2) experimental; urgency=low

  * debian/copyright: update for the new upstream version.
    (this btw. closes: #94279)
  * README.Debian: rewritten, added informations about various ways of
    accessing man pages via man2html (closes: #131446), and about its full
    text searching feature.
  * debian/copyright: update description.
  * Consequently use references to `http://localhost/cgi-bin/man/man2html'
    in the three above mentioned files.
  * debian/sources/man.html: new file with man2html links, installed in
    /usr/share/doc/man2html/html for doc-base support (closes: #179481).

  * debian/po/pt_BR.po: (new file) Brazilian Portuguese debconf templates
    translation by André Luís Lopes <andrelop@ig.com.br>. Thanks!
    (closes: #179499).

  * 010-aux-debian.patch: mansearch.aux - fix references to swish++
    man pages by adding "query=" part (closes: #179109).
  * manwhatis.c: also generate references with "query=" for all those
    man pages, for which urlencoded links contain a `%' character.

  * debian/sources/mansearch:
    + first check for QUERY_STRING, than for command line arguments, because of
      incorrect(?) passing the parameters by lynx with lynxcgi.
    + don't remove `=' from query string, so searching for `name=bourne*' will
      actually work.
    + when parsing search results, change the last dot in man page name to `(',
      not the first one.

  * Checked that the following bugs were already fixed in one of the previous
    version of the package:
    + #100651: non-cgi usage possible, but debian package not set up
               for it (closes: #100651).
    + #49542: UNSECURE_MANPATH macro does not work (closes: #49542).
    + #27481: man2html refuses to show man pages, if they are symlinked from
              /usr/local/man (closes: #27481).

 -- Robert Luberda <robert@debian.org>  Sun,  2 Feb 2003 21:52:52 +0100

man2html (1.5exp+1.5k-1) experimental; urgency=low

  * New upstream version taken from man-1.5k package:
    + WARNING: CGI scripts are moved to cgi-bin/man.
    + NEW: /usr/bin/man2html can be used as a standalone program.
    + NEW: hman script replaces old netscape-man script.
    + NEW: lynxcgi support added.

   * Change upstream version to 1.5exp+1.5k, so I get chance
     to reupload source tarball when uploading to unstable.

  * Old Debian sources like manwhatis.c, utils.[ch], swish++.conf, mansearch
    moved to debian/sources.
    Also added here man2html.cgi.c, which is a modified version of old
    man2html.c with all non-cgi code removed.
  * Install cgi scripts from debian/sources, man2html and hman from upstream
    source.
  * Install templates in /usr/share/man2html.

  * Use dbs for build process.
  * Applied many patches to upstream source:
    + 000-Makefile.in: support for $(DEBIAN_CFLAGS)
    + 001-hman-bashism: remove bashism from hman (cf. 1.5-24)
    + 002-man2html-default-cgibase: set default cgibase for man2html to an
      empty string, so hyperlinks will be like `href="/cgi-bin/..."'
      (cf. 1.5-23.2)
    + 005-paths: change paths to conform FHS and Debian Policy
    + 010-aux-debian: change templates to be more like in old Debian version,
      esp. use <FORM> instead of <ISINDEX> (cf. 1.5-25);
      refer to swish++ rather than glimpse (cf. 1.5-23.3)
    + 011-man2html-doctype-status: add DOCTYPE and `Status:' header
      to man2html (cf. 1.5-13)
    + 012-man2html-TH: remove `\a' while parsing .TH line (cf. 1.5-25)
    + 013-man2html-file-link: file:/path --> file:///path (cf. 1.5-25).

  * sources/utils.c:
    + add is_lynx() function for lynxcgi support
    + add some functions like error_page, xstrdup taken from the new, upstream
      man2html.c

  * sources/man2html.cgi.c, sources/manwhatis.c, sources/mansearch:
    + support lynxcgi like in upstream version
    + always output DOCTYPE
    + manwhatis.c: generate separate cache files for `http:' and `lynxcgi:'
      URLs.
    + code cleanup.

 -- Robert Luberda <robert@debian.org>  Wed, 29 Jan 2003 23:32:13 +0100

man2html (1.5-28) unstable; urgency=low

  * postinst:
    + modify code which searches for local man directories, so it
      shouldn't fail now (closes: #178726).
    + really run index++ in background, I broke this in 1.5-26.
  * cron.weekly:
    + the same change as in postinst.
    + use `set -e'.

 -- Robert Luberda <robert@debian.org>  Tue, 28 Jan 2003 23:15:23 +0100

man2html (1.5-27) unstable; urgency=low

  * mansearch:
    + fix path to searchdocument, it's in /usr/share/doc, not in /usr/doc.
    + always check if value returned by getline in greater than 0. This fixes
      problem with endless loops when getline fails (e.g. because it can't read
      from searchdocument) (closes: #178234).
    + call `close(cmd)', as suggested by the gawk(1) man page.

 -- Robert Luberda <robert@debian.org>  Sat, 25 Jan 2003 11:56:10 +0100

man2html (1.5-26) unstable; urgency=low

  * man2html.c:
    + cgi queries where decoded twice: in querystring2argv() and then while
      parsing arguments in main().
    + added CSS styles for <P> and <BODY> tags.

  * mansearch:
    + do not try to parse options, they are valid for glimpse, but not for
      swish++.
    + remove debbuging output (closes: #177656).
    + improve urldecode() function, so we don't double decode cgi queries.
    + correct url for swish++ download.

  * Convert postinst question to debconf.
  * Added Polish translation of debconf template.
  * debian/control: added dependency on man-db, because manwhatis needs whatis
    command and man2html needs /etc/manpath.config file.

 -- Robert Luberda <robert@debian.org>  Tue, 21 Jan 2003 22:52:52 +0100

man2html (1.5-25) unstable; urgency=low

  * Moved debian/{mansearch.html.swish++,mansearch.swish++} back to
    dist/{mansearch.html,mansearch}. Also moved debian/swish++.conf
    to dist/.
  * Added file utils.c, with querystrign2argv(), urldecode(), urlencode()
    functions.

  * mansearch:
    + if called without arguments, check QUERY_STRING environment variable
    + added urldecode() function
    + now we use non-awk-standard strtonum(), so switch to gawk:
      - this, according to bug submitter, also closes: #49220.
      - debian/control: added gawk dependancy
    + really fix `invalid range end' gawk error
    + fix broken regular expression.

  * man2html.c:
    + call querystring2argv().
    + while parsing .TH lines, all `"' were changed to `\a' and those `\a' was
      outputed into html. Remove all those `\a'.
    + change `file:/path/to/file' references into `file:///path/to/file', so
      they are undesrtood by links now.

  * manwhatis.c:
    + call querystring2argv().
    + do better parse of `whatis' output (closes: #144906). All generated
      links should be valid now, but if you find in index any man page, which
      you think shouldn't be there, please check output of `whatis' command
      and than file a bug against package which contains the man page (or
      against man-db, if you think it's whatis bug)
    + call urlencode() on generated links
    + html-encode '<', '&', '>' on output
    + add missing html tags, like <html>, <head> etc.
    + free allocated memory.

  * Now, with the above changes, we can drop using of <ISINDEX> tag, which
    is deprecated, and not supported for example by links and opera. We can
    use <FORM> instead (closes: #170662).

  * Don't install mansearchhelp.html, it's not used after switching to swish++
    (closes: #22890).
  * Makefile: add support for DEB_BUILD_OPTIONS.
  * debian/cron.daily: add support for /usr/local/share/man (closes: #56095).
  * debian/postinst: remove indexes on upgrade from earlier versions.
  * Remove emacs settings from the bottom of this changelog.
  * Bump Standards-Version to 3.5.8.

  * Close bugs fixed in previous NMUs:
    + relative links bug: closes: #104474, #29394, #112655
    + memory consumption bug: closes: #78195, #42788
    + mansec seqfaults: closes: #36266
    + doc-base/menu support: closes: #159592, #31186
    + other: closes: #140672, #125107, #97087, #105108, #97559, #129680.

 -- Robert Luberda <robert@debian.org>  Mon, 13 Jan 2003 22:42:46 +0100

man2html (1.5-24) unstable; urgency=low

  * New maintainer (closes: #174343).
  * Remove bashism from netscape-man script (lintian).
  * mansearch: fix `invalid range end' gawk error.
  * manwhatis.c: always initialize usedletters variable.

  * debian/rules: upgrade to debhelper v4.
  * debian/control: remove the last dot from description synopsis (lintian).
  * debian/control: s/glimpse/swish++ in the description field.
  * debian/postinst: more secure handling of temporary file (linitan).
  * Added a lintian override file for `package-contains-hardlink'
    and `non-standard-dir-perm' warnings.

 -- Robert Luberda <robert@debian.org>  Thu,  9 Jan 2003 22:37:47 +0100

man2html (1.5-23.5) unstable; urgency=low

  * Change download hint for swish++
  * Use correct relative links in all the other places too, this should
    finally really fix #133650
  * Fix some file locations in manpage.

 -- Michael Piefel <piefel@debian.org>  Sun, 27 Oct 2002 12:28:26 +0100

man2html (1.5-23.4) unstable; urgency=low

  * Apparently some bugs refer to the version in potato and they are fixed
    now (closes: #78195, #129680)
  * Use doc-base instead of dwww menu entry, also change location from
    usr/doc to usr/share/doc (closes: #31186, #159592)

 -- Michael Piefel <piefel@debian.org>  Sun, 20 Oct 2002 20:14:27 +0200

man2html (1.5-23.3) unstable; urgency=low

  * Use swish++ instead of glimpse and suggest it. (Closes: #97087)
  * install man2html-binary to /usr/bin, too. (Closes: #100651)
  * Add link to homepage to package-description and copyright
    (Closes: #94279)
  * Use correct relative links, i.e. href="/cgi-bin/... instead of
    href="http:/cgi-bin/... in static pages, too. (Closes: #133650)
  * This bugfix and the one for #104474 in 1.5-23.2 should fix all the
    duplicate reports. (Closes: #115921, #112655, #29394)
  * mansec and manwhatis fail gracefully if no commandline-arguments are
    given (Closes: #36266)
  * Fix spelling error in package-description (Closes: #125107)
  * Fix CSS-typo. (Closes: #140672)

 -- Andreas Metzler <ametzler@downhill.at.eu.org>  Wed, 24 Apr 2002 15:27:35 +0200

man2html (1.5-23.2) unstable; urgency=low

  * Recompiled with correct CGIBASE to avoid bad links; closes: #104474.
    Grave bug, warrants inclusion into stable.
  * Uploading this version to unstable also fixes the version number
    mismatches; closes: #97559.
  * Upgrade to woody conventions: remove dh_suidregister, added
    build-depends; closes: #105108.

 -- Philippe Troin <phil@fifi.org>  Mon, 15 Oct 2001 20:14:07 -0700

man2html (1.5-23.1) stable; urgency=low

  * Recompiled with correct CGIBASE to avoid bad links; closes: #104474.
    Grave bug, warrants inclusion into stable.

 -- Philippe Troin <phil@fifi.org>  Mon, 15 Oct 2001 20:07:37 -0700

man2html (1.5-23) stable; urgency=low

  * Fixing the DoS bug #78195 justifies including this in stable.

 -- Nicolás Lichtmaier <nick@debian.org>  Thu,  7 Dec 2000 20:18:38 -0300

man2html (1.5-22) unstable; urgency=medium

  * Was taking all available memory with an endless loop, fixed
    with indication from Stephan Kulow <coolo@kde.org>
    (closes:Bug#28024,Bug#78195).
  * Downgraded dependency on httpd to a recommendation. This program may
    also be used as a standalone HTML converter. In the future, a link
    to /usr/bin and modifications for handling the non-CGI case should
    be made.
  * Marked /etc/cron.weekly/man2html as a conffile.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  3 Dec 2000 23:20:29 -0300

man2html (1.5-21) frozen unstable; urgency=low

  * Fixed manglimpse script to not give error when there's a
    /usr/local/man but no directories under it (closes:Bug#46663,Bug#59006).
  * Updated manglimpse for indexing /usr/share/man too (closes:Bug#48383).

 -- Nicolás Lichtmaier <nick@debian.org>  Sun, 27 Feb 2000 23:11:18 -0300

man2html (1.5-20) unstable; urgency=low

  * Fixed manwhatis, it segfaulted when there were files with no
    extensions in the manpages dirs (closes: Bug#44888).
  * Moved docs and manpages under /usr/share.
  * Updated Standards-Version to 3.0.1.
  * man2html: Updated DOCTYPE definition to latest HTML version.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat, 11 Sep 1999 21:39:52 -0300

man2html (1.5-19) unstable; urgency=low

  * Updated maintainer address.
  * Switched to debhelper.
  * manglimpse tests before referring to /usr/local/man
    (closes: Bug#27616, Bug#23788).
  * Fixed section in menu file.
  * Uses tempfile to create file in tmp in postinst.
  * Updated URL in mansearch.
  * man2html now explicitily return zero.
  * Changed Standards-Version to 2.5.0.

 -- Nicolás Lichtmaier <nick@debian.org>  Sun,  4 Jul 1999 20:13:01 -0300

man2html (1.5-18) frozen unstable; urgency=low

  * manwhatis.c: Fixed date in `Last-modified' HTTP header.
  * manwhatis.c: Added copyright and license info to my newly
    added code (GPL).
  * man2html.c: Allow `:' in manpage names, patch from
    Karl M. Hegbloom <karlheg@debian.org>. Fixes bug #18859.
  * mansearch: Redirected `type' stdout to null,  fixes bug #21178.
  * netscape-man: Removed dash from ps invocation, fixes bug #21954.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Fri,  1 May 1998 19:50:58 -0300

man2html (1.5-17) unstable; urgency=low

  * Fixed mansearch (bug #18363).

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 21 Feb 1998 02:24:18 -0300

man2html (1.5-16) unstable; urgency=low

  * Building with newer debmake to fix bug in md5 files.
  * Changed Standards-Version to 2.4.0.0 (no changes needed).
  * Delete old format cache files in postinst if needed.
  * Rewritten (and unified) manwhatis and mansec in C (they were
    originally written in AWK).
  * mansec: Newer pages in other sections don't invalidate a cached index.
  * man{whatis,sec}: Added Content-Length and Last-Modified headers.
  * man{whatis,sec}: Removed useless information from generatied pages.
  * man{whatis,sec}: Added SGML document type declaration.
  * man{whatis,sec}: Improved speed and lowered system load.
  * man{whatis,sec}: Ignore punctuation (e.g.: "_") in the begining of words
    when sorting.
  * Edited dwww entry.
  * The preinst script could fail to erase some files, now it can't.
    Fixes bug #17783.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Thu,  5 Feb 1998 22:44:09 -0300

man2html (1.5-15) unstable; urgency=low

  * Removed path from egrep invocation.
  * glimpse_filters: Added bzip2.
  * man2html shouldn't depend on glimpse. Checks if glimpse is installed in
    mansearch, and gives a polite response. Bug #17402 closed.
  * Also suggests manpages-dev.
  * Added -Wall to CFLAGS and removed all warnings. Removed
    -fno-strength-reduce (the bug was fixed in gcc, wasn't it?).
  * Fixed referencing to compressed pages, was bug #7410.
  * Redirected output of manglimpse to /dev/null in cron sript, should fix
    bug #13855.
  * Updated manpage formatting.
  * Changed /var/man2html to /var/cache/man2html, fixes bug #17432.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sun,  1 Feb 1998 16:30:46 -0300

man2html (1.5-14) unstable; urgency=low

  * Suggests manpages.
  * Changed description.
  * Changed menu file to the new style and made it work with dwww.
  * Changed to use correct HTML in /usr/doc/man2html/html/*.html files.
  * Keep files' date.
  * Prepend a <!DOCTYPE> declaration to generated files.
  * Changed to output HTML parameters quoted when needed (as mandated
    by the HTML DTD).
  * Applied patch from author that fixes a coredump when converting
    manpages that used `.ig' with comments in the end.
  * Prompt and reindex only if postinst is called with `configure', fixes
    bug #12593.
  * No longer suggests glimpse, fixes bug #12995. No longer depends on man
    either.
  * No longer installs lsm, spec and INSTALL files. lsm info added to
    `copyright', fixes bug #13202.
  * Updated debian/rules.
  * Removed bashism from cron.weekly, fixes bug #9910.
  * Remove /var/tmp/manglimpse.out before writing to it, fixes security holw
    in installation (bug #11786).
  * Built with libc6.
  * Modified docs.
  * Changed maintainer address.
  * Applied patch from author to avoid endless loops.

 -- Nicolás Lichtmaier <nick@feedback.net.ar>  Sat, 4 Oct 1997 16:53:27 -0300

man2html (1.5-13) unstable; urgency=low

  * Added `Status' header to every error condition in man2html.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Wed, 5 Mar 1997 19:46:23 -0300

man2html (1.5-12) unstable; urgency=low

  * Added `Status' header to some error responses.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Wed, 5 Mar 1997 02:10:37 -0300

man2html (1.5-11) unstable; urgency=low

  * Manpages are no longer installed executable (Fixes #7272).
  * Now postins ask the user if glimpse should be run, and runs it in the
    background redirected to a file (Fixes #7271).
  * If the user have Glimpse installed, index manpages once a week
    (fixes #7269).
  * Fixed bug #6918 in mansec (thanks to Wolfgang Friess' patch).
  * Changed group of /var/man2html to www-data.
  * Corrected control file (fixes #7748 and #7756).
  * New maintainer.

 -- Nicolás Lichtmaier <nick@feedback.com.ar>  Sun, 2 Mar 1997 02:12:01 -0300

man2html (1.5-10) unstable; urgency=low

  * Bug #7285 endless loop fixed. Thanks for the Patch, Wolfgang!
  * Remove suggestion of ncsa #6980
  * Menu file provided

 -- Christoph Lameter <clameter@debian.org>  Fri, 31 Jan 1997 11:04:37 -0800

man2html (1.5-9) stable unstable; urgency=low

  * Fixed up for proposed Webstandard 3.0
  * Bug in postinst script

 -- Christoph Lameter <clameter@debian.org>  Wed, 27 Nov 1996 10:24:15 -0800

man2html (1.5-8) stable unstable; urgency=low

  * Webstandards 2.3. Need to put this into stable since some things broke
    with -6 which were supposed to be fixed in -7.
  * Removed postrm
  * 1.5-7 got lost somewhere.

 -- Christoph Lameter <clameter@debian.org>  Tue, 12 Nov 1996 15:54:49 -0800

man2html (1.5-7) unstable; urgency=low

  * Back out of changes to produce a ? separating manpath from cgi-bin

 -- Christoph Lameter <clameter@debian.org>  Tue, 5 Nov 1996 09:45:41 -0800

man2html (1.5-6) unstable; urgency=low

  * Web Standards 2.1
  * man2html made dependant on httpd instead of apache

 -- Christoph Lameter <clameter@debian.org>  Thu, 24 Oct 1996 19:09:02 -0700

man2html (1.5-5) unstable; urgency=low

  * debmake: compressed manpages, docs, locations of files...

 -- Christoph Lameter <clameter@debian.org>  Tue, 22 Oct 1996 19:05:12 -0700

man2html (1.5-4) unstable; urgency=low

  * Added postrm script to be able to cleanly purge the packet
  * Moved cgi stuff to /usr/lib/httpd/cgi-bin
  * Added instructions how to cope with recent versions of apache

 -- Christoph Lameter <clameter@debian.org>  Fri, 4 Oct 1996 9:00:00 +0800

man2html (1.5-3) unstable; urgency=high

  * mansearch had wrong reference to /home/http

 -- Christoph Lameter <clameter@debian.org>  Wed, 18 Sep 1996 9:00:00 +0800

man2html (1.5-2) unstable; urgency=high

  * Fixed glimpse integration. Run script on installation to index manpages
    for glimpse if glimpse installed.

 -- Christoph Lameter <clameter@debian.org>  Wed, 18 Sep 1996 9:00:00 +0800

man2html (1.5-1) unstable; urgency=low

  * Initial Release, had to hack a lot of things since man2html was based
    on an old whatis databases.

 -- Christoph Lameter <clameter@debian.org>  Wed, 18 Sep 1996 9:00:00 +0800
